summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--graphics/feh/README10
-rw-r--r--graphics/feh/feh.SlackBuild61
-rw-r--r--graphics/feh/feh.info8
-rw-r--r--graphics/feh/slack-desc11
4 files changed, 90 insertions, 0 deletions
diff --git a/graphics/feh/README b/graphics/feh/README
new file mode 100644
index 0000000000..da570ce69d
--- /dev/null
+++ b/graphics/feh/README
@@ -0,0 +1,10 @@
+feh is an image viewer at heart, though it does other cool stuff
+feh features include simple image viewing, multiple image viewing
+(slideshow), multiple image viewing in multiwindows, image viewing
+in fullscreen, image list mode, loadable/unloadable listing,
+recursive file opening, saving/loading filelists, loading images
+via http, reloading after delay, montage creation, and more.
+
+NOTE: feh requires giblib and imlib2, both available on SlackBuilds.org.
+ When compiling, the order must be imlib2, then giblib, then feh.
+
diff --git a/graphics/feh/feh.SlackBuild b/graphics/feh/feh.SlackBuild
new file mode 100644
index 0000000000..ccfd4ff316
--- /dev/null
+++ b/graphics/feh/feh.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for feh
+
+# Written by Chess Griffin <chess at chessgriffin dot com>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=feh
+VERSION=1.3.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+# The Makefile already copies most of the docs; this does the rest
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING cam $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/feh/feh.info b/graphics/feh/feh.info
new file mode 100644
index 0000000000..8f93cac30c
--- /dev/null
+++ b/graphics/feh/feh.info
@@ -0,0 +1,8 @@
+PRGNAM="feh"
+VERSION="1.3.4"
+HOMEPAGE="http://linuxbrit.co.uk/feh/"
+DOWNLOAD="http://linuxbrit.co.uk/downloads/feh-1.3.4.tar.gz"
+MD5SUM="3d35ba3d2f0693b019800787f1103891"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="robw810"
diff --git a/graphics/feh/slack-desc b/graphics/feh/slack-desc
new file mode 100644
index 0000000000..3bf29c55ed
--- /dev/null
+++ b/graphics/feh/slack-desc
@@ -0,0 +1,11 @@
+feh: feh is an image viewer at heart, though it does other cool stuff
+feh:
+feh: feh features include simple image viewing, multiple image viewing
+feh: (slideshow), multiple image viewing in multiwindows, image viewing
+feh: in fullscreen, image list mode, loadable/unloadable listing,
+feh: recursive file opening, saving/loading filelists, loading images
+feh: via http, reloading after delay, montage creation, and more.
+feh:
+feh: Homepage: http://linuxbrit.co.uk/feh/
+feh:
+feh: